Skip to Content

List mailbox events

Returns mailbox audit records, newest first, filterable by when they happened (`after`, `before`).

GET
/v1/mailboxes/{id}/events

Returns mailbox audit records, newest first, filterable by when they happened (after, before). Audit event types: mailbox.created, endpoint.attached, endpoint.detached, message.received, message.released, message.sent, thread.created, action.proposed, action.policy_decided, action.approval_requested, action.approval_resolved, action.accepted, action.executed, action.failed. Thread and draft changes have no dedicated audit event types. Pass nextCursor back as cursor for the next page; it is null on the last page.

Authorization

apiKey
headerx-api-key<token>

Path Parameters

id*string
Match^mbx_[0-9a-hjkmnp-tv-z]{16,24}$

Query Parameters

limit?|null
cursor?string
after?string
before?string

Response Body

MailboxEventPage

application/json
  1. response
items*array<>
nextCursor*string|null
Example Request
import { createClient } from "samva";

const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });

const result = await samva.mailboxes.listEvents({
  "id": "example"
});
Example Response
{
  "items": [
    {
      "id": "string",
      "type": "mailbox.created",
      "threadId": "string",
      "actionId": "string",
      "actor": {
        "kind": "user",
        "id": "string",
        "displayName": "string"
      },
      "payload": {
        "property1": "string",
        "property2": "string"
      },
      "occurredAt": "string"
    }
  ],
  "nextCursor": "string"
}

Related documentation